%define	module	PyXB

Name:		python-pyxb
Version:	1.2.6
Release:	%mkrel 4
Summary:	Python XML Schema Bindings
License:	Apache
Group:		Development/Python
Url:		http://pyxb.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/pyxb/pyxb/%{version}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
PyXB is a pure Python package that generates Python source
code for classes that correspond to data structures defined by
XMLSchema.

%package -n	python3-pyxb
Summary:	Python 3 XML Schema Bindings
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

%description -n	python3-pyxb
PyXB is a pure Python package that generates Python source
code for classes that correspond to data structures defined by
XMLSchema.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%install
%py3_install
  cd %{buildroot}%{_bindir}
  for B in pyxb*; do
  mv $B $(echo $B |sed 's/pyxb/python3-pyxb/'); done

%files -n python3-pyxb
%doc doc/* LICENSE NOTICE PKG-INFO README.txt examples/*
%{python3_sitelib}/*
%{_bindir}/python3-pyxb*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.2.6-4.mga8
+ Revision: 1533731
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 1.2.6-3.mga8
+ Revision: 1445466
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 1.2.6-2.mga7
+ Revision: 1354038
- Rebuild for python3 3.7

* Sun Dec 30 2018 luigiwalser <luigiwalser> 1.2.6-1.mga7
+ Revision: 1346847
- 1.2.6

* Thu Sep 20 2018 umeabot <umeabot> 1.2.4-4.mga7
+ Revision: 1289951
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.4-3.mga7
+ Revision: 1135593
- Rebuild for python 3.6

* Mon Jan 18 2016 daviddavid <daviddavid> 1.2.4-2.mga6
+ Revision: 925662
- use new python macros
- add python3 package

* Mon Jan 18 2016 luigiwalser <luigiwalser> 1.2.4-1.mga6
+ Revision: 925561
- 1.2.4

* Wed Oct 29 2014 dmorgan <dmorgan> 1.2.3-4.mga5
+ Revision: 794458
- Revert to version 1.2.3

* Thu Oct 16 2014 dmorgan <dmorgan> 1.2.4-3.mga5
+ Revision: 764637
- Fix provides
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Fri Oct 10 2014 dmorgan <dmorgan> 1.2.4-1.mga5
+ Revision: 737872
- New version, with python3 build

* Sat Sep 27 2014 tv <tv> 1.2.3-3.mga5
+ Revision: 729610
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-2.mga5
+ Revision: 688292
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 pterjan <pterjan> 1.2.3-1.mga5
+ Revision: 673591
- imported package python-pyxb

